Gtk_ButtonBox(3)

NAME - Gtk_ButtonBox

HEADER REQUIRED
#include <gtk--/buttonbox.h&gt;>

BASE CLASSES
Gtk_Box(3)

DERIVED BY
Gtk_HButtonBox(3) Gtk_VButtonBox(3)

PUBLIC MEMBER INDEX
    Gtk_ButtonBox(GtkButtonBox *castitem);
    void  set_layout(GtkButtonBoxStyle layout_style);
    gint  get_layout() const;
    void  set_child_size(gint min_width, gint min_height);
    void  get_child_size(gint *min_width, gint *min_height) const;
    static void  set_child_size_default(gint min_width, gint min_height);
    static void  get_child_size_default(gint *min_width, gint *min_height);
    void  set_child_ipadding(gint ipad_x, gint ipad_y);
    void  get_child_ipadding(gint *ipad_x, gint *ipad_y) const;
    static void  set_child_ipadding_default(gint ipad_x, gint ipad_y);
    static void  get_child_ipadding_default(gint *ipad_x, gint *ipad_y);
    void  set_spacing(gint spacing);
    gint  get_spacing() const;
    void  set_layout_spacing(GtkButtonBoxStyle layout, gint spacing);
    GtkButtonBox*  gtkobj();
    const GtkButtonBox*  gtkobj() const;
    static bool  isGtkButtonBox(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkButtonBox  BaseObjectType;
    typedef GtkButtonBoxClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  button_box_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS